<!-- Primer ejemplo -->
<div [ngClass]="'primary big'">Mi primer uso de ngClass</div>
<hr>
<!-- Segundo ejemplo uso de ngClass sin brackets -->
<div ngClass="primary big">Sigo en mi primer uso de ngClass</div>
<hr>
<!-- Ejemplo de array -->
<div [ngClass]="['primary big','italics']">Aún sigo en mi primer uso de ngClass</div>
<hr>
<!-- Aplicando dinamicamente los estilos desde la clase al componente -->
<b>Ejemplo 4: Valor que viene desde un método en el componente .ts</b> <br />
  <b>Example 4A (string)</b> <br />
  <div [ngClass]="cssVar">Todavia sigo haciendo uso de ngClass</div>

  <b>Ejemplo 4B (array)</b> <br />
  <div [ngClass]="cssArray">Aún estoy todavia usando ngClass</div>

  <b>Ejemplo 4C (Objeto)</b> <br />
  <div [ngClass]="cssClass">Probablemente todavia estoy usando ngClass</div>
<hr>
  <!--Ejemplo de cambio de comportamiento de acuerdo a lo que se requiere-->
  <div [ngClass]="flag ? 'primary' : 'secondary'">
    Sample Text
    <button (click)="flag = !flag">Cambiar color</button>
  </div>
